Name:		upx
Version:	3.08
Release:	%mkrel 1
Summary:	The Ultimate Packer for eXecutables
License:	GPLv2+
Group:		Archiving/Compression
URL:		http://upx.sourceforge.net/
Source0:	http://upx.sourceforge.net/download/%{name}-%{version}-src.tar.bz2
Source1:        http://downloads.sourceforge.net/sevenzip/lzma465.tar.bz2
BuildRequires:	libucl-devel
BuildRequires:	zlib-devel

%description
UPX is an advanced executable file compressor. UPX will typically
reduce the file size of programs and DLLs by around 50%-70%, thus
reducing disk space, network load times, download times and other
distribution and storage costs.

Programs and libraries compressed by UPX are completely self-contained
and run exactly as before, with no runtime or memory penalty for most
of the supported formats.

UPX supports a number of different executable formats, including
Win95/98/ME/NT/2000 programs and DLLs, DOS programs, and Linux executables.

UPX is rated number one in the well known Archive Comparison Test. Visit
http://compression.ca/act-exepack.html

%prep

%setup -q -n %{name}-%{version}-src
sed -i -e 's/ -O2/ /' -e 's/ -Werror//' src/Makefile
mkdir lzma465
tar xfj  ../../SOURCES/lzma465.tar.bz2 -C lzma465

%build

# building the docs
%make -C doc
export UCLDIR=%{_prefix}
UPX_LZMA_VERSION=0x465 UPX_LZMADIR=../lzma465  %make -C src CXXFLAGS="%{optflags} -Wcast-align -Wcast-qual -Wpointer-arith -Wwrite-strings"

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1

install -m 755 src/upx.out %{buildroot}%{_bindir}/upx
install -m 644 doc/upx.1 %{buildroot}%{_mandir}/man1/

%files
%doc BUGS LICENSE NEWS PROJECTS README* THANKS doc/upx.doc doc/upx.html doc/*.txt TODO
%{_bindir}/*
%{_mandir}/man1/*


%changelog

* Fri Jan 27 2012 kamil <kamil> 3.08-1.mga2
+ Revision: 202278
- new version 3.08
- update license (it's GPLv2+)
- update file list
- clean .spec

* Thu Jan 20 2011 erwan <erwan> 3.07-1.mga1
+ Revision: 27502
- Removing useless option
- Adding Lzma support (inspired by fedora packaging)
- imported package upx


* Mon Nov 08 2010 Götz Waschk <waschk@mandriva.org> 3.07-1mdv2011.0
+ Revision: 595121
- new version
- drop patch

* Wed Oct 07 2009 Oden Eriksson <oeriksson@mandriva.com> 3.04-1mdv2010.0
+ Revision: 455464
- 3.04
- use %%optflags
- P0: fix format string errors

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 3.03-2mdv2009.0
+ Revision: 269450
- rebuild early 2009.0 package (before pixel changes)

* Fri May 16 2008 Oden Eriksson <oeriksson@mandriva.com> 3.03-1mdv2009.0
+ Revision: 208167
- 3.03

  + Erwan Velu <erwan@mandriva.org>
    - 3.02

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1mdv2008.1-current
+ Revision: 140925
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Dec 11 2006 Oden Eriksson <oeriksson@mandriva.com> 2.03-1mdv2007.0
+ Revision: 94796
- Import upx

* Mon Dec 11 2006 Oden Eriksson <oeriksson@mandriva.com> 2.03-1mdv2007.1
- 2.03

* Thu Jul 01 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.25-2mdk
- enable parallel build
- fix used build flags
- fix description (Stef)

* Thu Jul 01 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.25-1mdk
- requires new ucl
- drop prefix
- download URL
- New release 1.25

* Tue Jun 08 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.24-3mdk
- rebuild for new g++

